Bug 113400 - zip not work with >2Gb files.
Summary: zip not work with >2Gb files.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: zip   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
high
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 114306
TreeView+ depends on / blocked
 
Reported: 2004-01-13 16:04 UTC by Roberto
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 15:36:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roberto 2004-01-13 16:04:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
When i try to compress a file with size > 2Gb zip tool reports an 
error like this:

# zip data /dynamo/d1_151203.tar 
        zip warning: name not matched: /dynamo/d1_151203.tar

zip error: Nothing to do! (data.zip)

# ls -la /dynamo/d1_151203.tar
-rw-rw-rw-    1 root     root     2759157760 Dec 15 
13:47 /dynamo/d1_151203.tar

I've also tried all flags but nothing to do!!

Thx
Roberto.

Version-Release number of selected component (if applicable):
zip-2.3.16

How reproducible:
Always

Steps to Reproduce:
1.zip data /dynamo/d1_151203.tar
2.
3.
    

Actual Results:          zip warning: name not 
matched: /dynamo/d1_151203.tar

zip error: Nothing to do! (data.zip)


Expected Results:  data.zip created with mesages:

adding: /dynamo/d1_151203.tar (deflated 61%)

Additional info:

Comment 1 Suzanne Hillman 2004-01-22 22:21:02 UTC
This is something listed in the todo list upstream. For this reason, I
will create an internal feature request for this bug.

Comment 2 Suzanne Hillman 2004-01-22 22:43:45 UTC
Internal RFE Bug #114134 entered.

Comment 4 Lon Hohberger 2004-06-23 14:38:11 UTC
Try rebuilding the version from rawhide:

zip-2.3-24
----------
* Mon Jun 21 2004 Lon Hohberger <lhh@redhat.com> 2.3-24

- Extend max file/archive size to 2^32-8193 (4294959103) bytes
- Include better debugging output for configure script

http://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/zip-2.3-24.src.rpm



Note You need to log in before you can comment on or make changes to this bug.